Officially Matlab versions 2008b and before are not supported  for use with windows 7. See:

What is the MathWorks statement concerning support of Windows 7 through various releases of MATLAB, Simulink and Polyspace?

User contributions on the web indicate that older versions of Matlab use JRE versions that do not go well together with Windows 7, and suggest that replacing the Java version in the Matlab directory with a recent one may solve the problem. See:

How do I change the Java Virtual Machine (JVM) that MATLAB is using?

Matlab 7 under Windows 7

Java JRE versions delivered with rMatlab

Matlab version JRE version
2006b 1.5.0
2008b 1.6.0_04
2009b 1.6.0_12-b04
2010b 1.6.0_17-b04

Typically one should install version 1.6 revision 12 or later to obtain Windows 7 support.

When updating from version 1.5.0 (R2006b) to 1.6.0_xx, some Modelit JAR files also need updating.

Modelit has not tested this.